@extends('frontend.layouts.app', ['class' => 'bg-purple'])
@section('content')


<!--==== START CONTENT ====-->
<section class="my-5" >
  <div class="row row2 login-box">
    <div class="col-md-4 col-xl-4 col-sm-12 ">
        <div class="login-form">
          <div class="heading-xs my-2 text-center">{{ __('registration')['register_now'] }}</div>
            <form name="my-3" method="post" action="{{ route('customer.register') }}">
                @csrf

              @if (\Session::has('registererror'))
                <div class="alert bg-danger">
                    <ul>
                        <li>
                        <span class="text-white">	{!! \Session::get('registererror') !!}</span>
                        </li>
                    </ul>
                </div>
              @endif
                @csrf
                <div class="form-group">
                    <label for="firstName"> {{ __('commoninput')['placeholder_first_name'] }} <span class="text-danger"> * </span> </label>
                    <input type="text" class="form-control" id="firstName" name="firstName" placeholder="{{ __('commoninput')['your'] }} {{ __('commoninput')['placeholder_first_name'] }}..." value="{{old('firstName')}}">
                    {!!	$errors->first("firstName", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="form-group">
                    <label for="lastName"> {{ __('commoninput')['placeholder_last_name'] }} <span class="text-danger"> * </span> </label>
                    <input type="text" class="form-control" id="lastName" name="lastName" placeholder="{{ __('commoninput')['your'] }} {{ __('commoninput')['placeholder_last_name'] }}...">
                    {!!	$errors->first("lastName", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="form-group">
                    <label for="email"> {{ __('commoninput')['email'] }} <span class="text-danger"> * </span> </label>
                    <input type="email" class="form-control" id="signupemail" name="signupemail" placeholder="{{ __('commoninput')['placeholder_email'] }}...">
                    {!!$errors->first("signupemail", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="form-group">
                    <label for="telephone">  {{ __('commoninput')['placeholder_phone'] }} <span class="text-danger"> * </span> </label>
                    <input type="text" class="form-control" id="telephone" name="telephone" placeholder="{{ __('commoninput')['your'] }} {{ __('commoninput')['placeholder_phone'] }}...">
                    {!!$errors->first("telephone", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="form-group">
                    <label for="password"> {{ __('commoninput')['placeholder_password'] }} <span class="text-danger"> * </span> </label>
                    <input type="password" class="form-control" id="signuppassword" name="signuppassword" placeholder="{{ __('commoninput')['your'] }} {{ __('commoninput')['placeholder_password'] }}...">
                    {!!$errors->first("signuppassword", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="form-group">
                    <label for="comfirmPassword"> {{ __('commoninput')['placeholder_confirm_password'] }} <span class="text-danger"> * </span> </label>
                    <input type="password" class="form-control" id="comfirmPassword" name="comfirmPassword" placeholder="{{ __('commoninput')['your'] }} {{ __('commoninput')['placeholder_confirm_password'] }}...">
                    {!!$errors->first("comfirmPassword", "<span class='text-danger'>:message</span>")!!}
                </div>
                <div class="text-center">
                    <button type="submit" class="submitbtn btn-lg"> {{ __('login')['button_registration'] }}</button>
                </div>
                <div class="sing-in mt-2">{{ __('registration')['label_login_info'] }} <a href="{{route('customer.getlogin')}}" class="sing-in "> {{ __('registration')['button_login'] }}</a>.</div>

            </form>
        </div>
      </div>
      <div class="d-none d-md-block d-xl-block d-xl-block col-md-8 col-lg-8 col-xl-8 ">
        <img src="{{asset('frontend')}}/images/login-bg.png" alt="" style="height:100%">
      </div>
  </div>
</section>
<!--==== END CONTENT ====-->
<style media="screen">
.row2 {
 --bs-gutter-x: 0rem;
}
</style>

@endsection
