<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <meta name="baseURL" content="<?php echo e(url('/')); ?>" >
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <meta name="assetURL" content="<?php echo e(asset('uploads')); ?>">
        <meta name="frontendAssetURL" content="<?php echo e(asset('frontend')); ?>">
        <meta name="isLogin" content="<?php echo e(Auth::guard('customer')->check()); ?>">
        <meta name="currency" content="<?php echo e(config('settingConfig.config_currency')); ?>">
        <meta name="currentRoute" content="<?php echo e(Route::currentRouteName()); ?>">
        <meta name="direction" content="<?php echo e(Session::get('locale') == 'ar' ? true : false); ?>" >
        <meta name="image-loader" content="<?php echo e(config('constant.image_loader')); ?>" >

        <?php echo SEOMeta::generate(); ?>

        <!-- Favicon -->
        <link rel="icon" href="<?php echo e(asset('uploads')); ?>/store/<?php echo e(config('settingConfig.config_icon_image')); ?>" type="image/png">
        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
        <!-- Extra details for Live View on GitHub Pages -->
        <!-- Icons -->
        <link href="<?php echo e(asset('assets')); ?>/vendor/nucleo/css/nucleo.css" rel="stylesheet">
        <link href="<?php echo e(asset('assets')); ?>/vendor/@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet">
        <!-- Argon CSS -->
        <!-- <link type="text/css" href="<?php echo e(asset('assets')); ?>/css/otrixweb.css?v=1.0.0" rel="stylesheet"> -->

        <!-- css -->
        <?php echo $__env->yieldPushContent('css'); ?>
        <!-- <link href="<?php echo e(asset('frontend')); ?>/css/bootstrap.min.css" rel="stylesheet"> -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/css/bootstrap.min.css" rel="stylesheet"> 
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/font-awesome.min.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/slick-theme.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/slick.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/animate.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/jquery.mCustomScrollbar.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/common.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/menu.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/product.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/home.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/proctuct-detail.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/loading.css">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/retronotify.css">

        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.7.1/sweetalert2.min.css" integrity="sha512-NvuRGlPf6cHpxQqBGnPe7fPoACpyrjhlSNeXVUY7BZAj1nNhuNpRBq3osC4yr2vswUEuHq2HtCsY2vfLNCndYA==" crossorigin="anonymous" referrerpolicy="no-referrer" >
        <script src="https://code.jquery.com/jquery-3.6.4.min.js" integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>

        <script src="<?php echo e(asset('frontend')); ?>/js/bootstrap.bundle.min.js" ></script>

        <?php echo $__env->make('frontend.layouts.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </head>
    <body class="<?php echo e($class ?? ''); ?>">

          <?php echo $__env->make('frontend.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
          <div class="<?php if(config('settingConfig.config_layout') == 'fullwidthlayout'): ?> container-fluid mx-5 mx-sm-0 <?php else: ?> otrixcontainer <?php endif; ?>">
            <?php echo $__env->yieldContent('content'); ?>
          </div>
          <?php echo $__env->make('frontend.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
          <a class="scrollTop mx-5 d-none d-md-block d-lg-blocl d-xl-block" href="#top"><i class="fa fa-chevron-up"></i></a>

        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/cjs/sweetalert2@11.js" ></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/script.js" ></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/slick.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/jquery.mCustomScrollbar.concat.min.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/home.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/product.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/wow.min.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/retronotify.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/lazyload.min.js"></script>
        <script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/sweetalert2@11.js" ></script>

        <?php echo $__env->make('frontend.layouts.commonjs', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.js"></script>
        <script type="text/javascript">
          jQuery(document).ready(function() {
              $(".se-pre-con").fadeOut("slow");
          });
        </script>



      <?php echo $__env->yieldPushContent('js'); ?>
    </body>
</html>
<?php /**PATH G:\php\www\otrixtestroom\otrixcommercelaravel\resources\views/frontend/layouts/app.blade.php ENDPATH**/ ?>